Androidでビルドしようとすると以下のようなエラーがでました。

Unable to convert classes into dex format. See the Console for details.

JAVAのことはあんまりよくわかっていないのですが、要するにクラスで使っているバージョンとJDKのバージョンがあっていないということのようです。

原因はUnityのバージョンをアップして、JDKのバージョンをアップしていないからでした。
ということで、JDKの最新版をダウンロードしてバージョンアップしたら問題なくビルドできるようになりました。